commit: a0bd549ebc9bba88a193a55a3d543311f33598bb
Author: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Tue May 24 18:37:40 2022 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue May 24 18:50:44 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0bd549e
dev-python/libtmux: add 0.11.0
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/libtmux/Manifest | 1 +
dev-python/libtmux/libtmux-0.11.0.ebuild | 37 ++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index df8f1c83392c..9e6757e82c5e 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -1,3 +1,4 @@
DIST libtmux-v0.10.3.tar.gz 225258 BLAKE2B
40d591ee1f8a6068947b61416d6247b2475cc99031a67c167dc527631e50075f18c46fe6fc16193867d83a1a735b0a23fbfbc77f4539f788f05375f1f68b77d2
SHA512
2c8f28ce8c313404caffa42e5fd4a1dfa5d48bdc48203f8db595cb97b44886d63608771f23d62d76a56513b7e4578e48a31cacd224eca92425f110efd0a5db69
+DIST libtmux-v0.11.0.tar.gz 234278 BLAKE2B
4939d38894fd6a1492ff282c98243b2d5b3b6f787691031c74337629aed710d3caebeb3bfce571e8f38fe07ecc341b6b3f8aa0bc42979fa362f5f0679aabf21e
SHA512
e09749ce4cf7cf7756e4e40e50c6eb0a00435f2b00c8436667b6b77a94078e9c380a811107f8129ea0d347355f3ce8bb213b8fb36de2becf3cf1a2dbebd97867
DIST libtmux-v0.8.5.tar.gz 222445 BLAKE2B
5af148555eb89c66bdc66f3f214967f7e901d9b86ea85e02a9fba64f2eb3559828519ba8120eaee5eb86ec75bee2e599a08384dd096de8dc0969129c58172c1e
SHA512
d456725c3ca41a672ee5239bfb5f42a262674638d308fa141627995be8b8fe348bb8713b735eb05c5a3cc73f35fe3f6fac12024f6254c950a3048b2e07606363
DIST libtmux-v0.9.0.tar.gz 215649 BLAKE2B
fdf6f424ce8eead5f0f19cb53bfd438e9cd7b5326e57e676281f74cedac6e1bcd7cded27e4ef226d2fc3bc09bbb57ff0e63aaa7d901ab910b6a890275c7fe63d
SHA512
d47078300614b2a286eab6063c9492baa115787b917d2fb2e4188032ce580f495f0e7f4a14383407c61063a77d640092d117ba43974524f18da024dfc687c8a5
diff --git a/dev-python/libtmux/libtmux-0.11.0.ebuild
b/dev-python/libtmux/libtmux-0.11.0.ebuild
new file mode 100644
index 000000000000..4ec1b4d3e99f
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.11.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+DISTUTILS_USE_PEP517=poetry
+inherit distutils-r1
+
+DESCRIPTION="python api for tmux"
+HOMEPAGE="https://libtmux.git-pull.com/"
+SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz ->
${PN}-v${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/twine[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ local issues="https://github.com/tmux-python/libtmux/issues/"
+ sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|"
CHANGES || die
+ rm requirements/doc.txt || die
+
+ distutils-r1_python_prepare_all
+}